/*
   client/chat.h
   This file is part of the Osirion project and is distributed under 
   the terms of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_CLIENT_CHAT_H__
#define __INCLUDED_CLIENT_CHAT_H__

#include "sys/consoleinterface.h"

#include <sstream>
#include <deque>

namespace client {

/// the client chatbox
namespace chat {

/// initialize chatbox functions
void init();

/// shut down chatbox functions
void shutdown();

/// draw the chatbox
void draw();

/// toggle the chatbox
void toggle();

/// handle keyboard input
void keypressed(unsigned int key);

/// true of the console is visible
bool visible();
}

}

#endif // __INCLUDED_CLIENT_CHAT_H__
