/*
   client/client.h
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_CLIENT_H__
#define __INCLUDED_CLIENT_H__

#include "core/application.h"

/// client part of the engine
namespace client {

/// client application implementation
class Client : public core::Application
{
public:
	/// initialize the client
	virtual void init(int count, char **arguments);

	/// run the client
	virtual void run();

	/// shutdown the client
	virtual void shutdown();

	/// quit the client
	virtual void quit(int status);

	/// sound notifications from the core
	virtual void notify_sound(const char * name);

	/// text notifications from the core
	virtual void notify_message(core::Message::Channel const channel, std::string const  message);

	/// remove sound source notification
	virtual void notify_remove_sound(size_t source);

	/// clear zone notification
	virtual void notify_zoneclear(core::Zone *zone);

	/// disconnect notification
	virtual void notify_disconnect();
};


/// the client main loop
void client_main(int count, char **arguments);

Client *client();

}

#endif // __INCLUDED_CLIENT_H__

