/*
   client/video.h
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_CLIENT_VIDEO_H__
#define __INCLUDED_CLIENT_VIDEO_H__

namespace client {

/// the client video subsystem
namespace video 
{
	/// initialize the client video subsystem
	bool init();
	
	/// shutdown the client video subsystem
	void shutdown();
	
	/// draw the next client video frame
	void frame(float seconds);
	
	/// reset and clear the viewport
	void reset();

	/// restart the video subsystem
	void restart();

	/// make a screenshot
	void screenshot();

	/// width of the window in pixels
	extern int width;

	/// height of the window in pixels
	extern int height;

} // namespace video

} // namespace client

#endif // __INCLUDED_CLIENT_VIDEO_H__
