/* client/view.h
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_CLIENT_VIEW_H__
#define __INCLUDED_CLIENT_VIEW_H__

#include "core/zone.h"

namespace client
{

/// functions to draw the client view
namespace view 
{
	/// intialize the view
	void init();
	
	/// shutdown the view
	void shutdown();

	/// draw the next frame
	void frame(float seconds);

	/// reset OpenGL state
	void reset();

	/// clear client-side assets of a zone
	void clear_zone(core::Zone *zone);

} // namespace view

} // namespace client

#endif // __INCLUDED_CLIENT_VIEW_H__

