/*
   core/module.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#include "core/module.h"

namespace core
{

Module *Module::module_preload = 0;

Module::Module(const char *name) :
	module_name(name)
{
	module_running = false;
}

Module::~Module()
{
	module_running = false;
	module_name.clear();
}

	
void Module::load(Module *module)
{
	module_preload = module;
}

void Module::unload()
{
	if (module_preload) {
		delete module_preload;
		module_preload = 0;
	}
}

void Module::abort()
{
	module_running = false;
}

}
