/*
   core/core.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CORE_RANGE_H__
#define __INCLUDED_CORE_RANGE_H__

namespace core {

namespace range {
	/// maximal range
	/** This is the distance of the frustum far plane, 
	 *  the maximal distance at which non-controlable entities can be drawn.
	 *  the maximal radar range for controlable entities,
	 *  and the maximal range to send entity updates 
	 */
	const float max = 1024.0f;

	/// maximal visible range for controlable entities
	const float visible = 512.0f;
}

}

#endif // __INCLUDED_CORE_RANGE_H__

