/*
   game/jumppoint.h
   This file is part of the Osirion project and is distributed under 
   the terms and conditions of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_GAME_JUMPPOINT_H__
#define __INCLUDED_GAME_JUMPPOINT_H__

#include "core/entity.h"
#include "math/mathlib.h"

#include <string>

namespace game {

/// a jump point
/**
 * jumppoints are used to define hyperspace routes between systems
 * when a ship actives the jump drive, a jump point will be opened
 * between the current system and the target of the nearest jumppoint.
 *
 */
class JumpPoint : public core::Entity {
public:
	JumpPoint();
	~JumpPoint();

	inline std::string const & targetlabel() { return jumppoint_targetlabel; }
	inline JumpPoint *target() { return jumppoint_target; }

	std::string	jumppoint_targetlabel;

	JumpPoint	*jumppoint_target;
};

}

#endif // __INCLUDED_GAME_JUMPPOINT_H__

