/*
   model/dock.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_MODEL_DOCK_H__
#define __INCLUDED_MODEL_DOCK_H__

#include "math/vector3f.h"
#include "math/color.h"

namespace model
{

/// a docking location
class Dock
{
public:
	Dock();
	~Dock();
	
	/// location of the dock
	inline math::Vector3f const & location() const
	{
		return dock_location;
	}
	
	/// trigger distance default is 0.01f
	inline float radius() const
	{
		return dock_radius;
	}
	
	
	math::Vector3f		dock_location;
	float			dock_radius;
};

}

#endif // __INCLUDED_MODEL_DOCK_H__

