/*
   render/render.h
   This file is part of the Osirion project and is distributed under 
   the terms of the GNU General Public License version 2 
*/

#ifndef __INCLUDED_RENDER_H__
#define __INCLUDED_RENDER_H__

#include "core/cvar.h"
#include "model/vertexarray.h"

#include "render/camera.h"
#include "render/draw.h"
#include "render/dust.h"
#include "render/gl.h"
#include "render/jpgfile.h"
#include "render/pngfile.h"
#include "render/image.h"
#include "render/text.h"
#include "render/textures.h"
#include "render/tga.h"

namespace render {

	/// initialize the render subsystem
	void init();

	/// shutdown the render subsystem
	void shutdown();

	/// unload render data
	void unload();

	extern core::Cvar *r_arraysize;
	extern core::Cvar *r_bbox;
	extern core::Cvar *r_grid;
	extern core::Cvar *r_radius;
	extern core::Cvar *r_sky;
	extern core::Cvar *r_wireframe;
	

	extern model::VertexArray *vertexarray;
}


#endif // __INCLUDED_RENDER_H__
